diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 7c75ef5..9c2e98f 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -62041,9 +62041,9 @@ MyUnivariatePolynomial(x:Symbol, R:Ring):
     coerce(p: Polynomial R): % == 
         poly: SparseUnivariatePolynomial(Polynomial R) 
              := univariate(p, x)$(Polynomial R)
-        map(retract(#1), poly)$UnivariatePolynomialCategoryFunctions2(Polynomial R,
-                    SparseUnivariatePolynomial Polynomial R, 
-                    R, %)
+        map((z1:Polynomial R):R +-> retract(z1), poly)_
+             $UnivariatePolynomialCategoryFunctions2(Polynomial R,
+                    SparseUnivariatePolynomial Polynomial R, R, %)
 
 @
 <<MYUP.dotabb>>=
diff --git a/changelog b/changelog
index 5c16414..6e4b541 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090514 tpd src/axiom-website/patches.html 20090514.04.tpd.patch
+20090514 tpd books/bookvol10.3 MYUP +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.03.tpd.patch
 20090514 tpd books/bookvol10.4 DFINTTLS +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f3b7c8a..c1254ee 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1294,5 +1294,7 @@ bookvol10.3 MSET +-> conversion<br/>
 bookvol10.3 MYEXPR +-> conversion<br/>
 <a href="patches/20090514.03.tpd.patch">20090514.03.tpd.patch</a>
 bookvol10.4 DFINTTLS +-> conversion<br/>
+<a href="patches/20090514.04.tpd.patch">20090514.04.tpd.patch</a>
+bookvol10.3 MYUP +-> conversion<br/>
  </body>
 </html>
